﻿// ReSharper disable InconsistentNaming

using System.Collections.Generic;

namespace InsideSalesApiClient
{
    public interface IInsideSalesApiService
    {
        /// <summary>
        /// Adds the lead.
        /// </summary>
        /// <param name="lead">The lead.</param>
        /// <param name="addLeadOptions">The inside sales add lead options.</param>
        /// <returns></returns>
        int AddLead(InsideSalesLead lead, InsideSalesAddLeadOptions addLeadOptions);

        /// <summary>
        /// Gets or sets the base URL for the CareHQ API.
        /// </summary>
        /// <value>
        /// The store URL.
        /// </value>
        string WebServiceUrl { get; set; }
        
        /// <summary>
        /// Gets or sets a value indicating whether this instance is authenticated.
        /// </summary>
        /// <value>
        /// 	<c>true</c> if this instance is authenticated; otherwise, <c>false</c>.
        /// </value>
        bool IsAuthenticated { get; set; }
    }
}
