// ReSharper disable InconsistentNaming

namespace InsideSalesApiClient
{
    public class InsideSalesLead
    {
        /// <summary>
        /// Gets or sets the external_id.
        /// </summary>
        /// <value>
        /// The external_id.
        /// </value>
        public string external_id { get; set; }

        /// <summary>
        /// Gets or sets the first name of the lead .
        /// </summary>
        /// <value>
        /// The first name of the lead .
        /// </value>
        public string first_name { get; set; }

        /// <summary>
        /// Gets or sets the middle name of the lead .
        /// </summary>
        /// <value>
        /// The middle name of the lead .
        /// </value>
        public string middle_name { get; set; }

        /// <summary>
        /// Gets or sets the last name of the lead .
        /// </summary>
        /// <value>
        /// The last name of the lead .
        /// </value>
        public string last_name { get; set; }

        /// <summary>
        /// Gets or sets the birthdate of the lead (YYYY-MM-DD) .
        /// </summary>
        /// <value>
        /// The birthdate of the lead (YYYY-MM-DD) .
        /// </value>
        public string birthdate { get; set; }

        /// <summary>
        /// Gets or sets the phone number on the lead .
        /// </summary>
        /// <value>
        /// The phone number on the lead .
        /// </value>
        public string phone { get; set; }

        /// <summary>
        /// Gets or sets the mobile phone number on the lead .
        /// </summary>
        /// <value>
        /// The mobile phone number on the lead .
        /// </value>
        public string mobile_phone { get; set; }

        /// <summary>
        /// Gets or sets the fax number on the lead .
        /// </summary>
        /// <value>
        /// The fax number on the lead .
        /// </value>
        public string fax { get; set; }

        /// <summary>
        /// Gets or sets the home phone number on the lead .
        /// </summary>
        /// <value>
        /// The home phone number on the lead .
        /// </value>
        public string home_phone { get; set; }

        /// <summary>
        /// Gets or sets the other phone number on the lead .
        /// </summary>
        /// <value>
        /// The other phone number on the lead .
        /// </value>
        public string other_phone { get; set; }

        /// <summary>
        /// Gets or sets the email address on the lead .
        /// </summary>
        /// <value>
        /// The email address on the lead .
        /// </value>
        public string email { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether this <see cref="InsideSalesLead"/> has opted out of receiving email .
        /// </summary>
        /// <value>
        ///   <c>true</c> if the lead has opted out of receiving email ; otherwise, <c>false</c>.
        /// </value>
        public bool email_opt_out { get; set; }

        /// <summary>
        /// Gets or sets the website on the lead .
        /// </summary>
        /// <value>
        /// The website on the lead .
        /// </value>
        public string website { get; set; }

        /// <summary>
        /// Gets or sets the ID of the campaign that the lead is associated with .
        /// </summary>
        /// <value>
        /// The ID of the campaign that the lead is associated with .
        /// </value>
        public int campaign_id { get; set; }

        /// <summary>
        /// Gets or sets the Campaign From Cookies.
        /// </summary>
        /// <value>
        /// The custom Campaign From Cookies.
        /// </value>
        public string customFields_18 { get; set; }

        /// <summary>
        /// Gets or sets the Source From Cookies.
        /// </summary>
        /// <value>
        /// The Source From Cookies.
        /// </value>
        public string customFields_20 { get; set; }

        /// <summary>
        /// Gets or sets the Medium From Cookies.
        /// </summary>
        /// <value>
        /// The Medium From Cookies.
        /// </value>
        public string customFields_24 { get; set; }

        /// <summary>
        /// Gets or sets the Terms From Cookies.
        /// </summary>
        /// <value>
        /// The Terms From Cookies.
        /// </value>
        public string customFields_26 { get; set; }

        /// <summary>
        /// Gets or sets the Content From Cookies.
        /// </summary>
        /// <value>
        /// The Content From Cookies.
        /// </value>
        public string customFields_28 { get; set; }

        /// <summary>
        /// Gets or sets the Prospect Type.
        /// </summary>
        /// <value>
        /// The Prospect Type.
        /// </value>
        public string customFields_30 { get; set; }

        /// <summary>
        /// Gets or sets the custom IP.
        /// </summary>
        /// <value>
        /// The IP.
        /// </value>
        public string customFields_34 { get; set; }

        /// <summary>
        /// Gets or sets the Lead Gen Form.
        /// </summary>
        /// <value>
        /// The Lead Gen Form.
        /// </value>
        public string customFields_36 { get; set; }
    }
}